Package org.eclipse.emf.cdo.ui

# Class UserInfo.Manager

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.lifecycle.Lifecycle
org.eclipse.emf.cdo.ui.UserInfo.Manager

All Implemented Interfaces:
  `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.event.INotifier.INotifier2`, `org.eclipse.net4j.util.lifecycle.IDeactivateable`, `org.eclipse.net4j.util.lifecycle.ILifecycle`, `org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

Enclosing class:
  UserInfo

public static final class UserInfo.Manager extends org.eclipse.net4j.util.lifecycle.Lifecycle
Manages the `user info` of the `local user` and maintains a user info cache for `remote users`. Missing remote user infos are automatically requested from the respective `remote sessions`.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`UserInfo.Manager.HomeUserInfoStorage`
A `user info storage` that persists the local user info in the file "${user.home}/.eclipse/org.eclipse.emf.cdo.ui/user.properties" .
`static final class`
`UserInfo.Manager.PreferencesUserInfoStorage`
A `user info storage` that persists the local user info in the Eclipse `IPreferenceStore` of the "org.eclipse.emf.cdo.ui" bundle.
`final class`
`UserInfo.Manager.UserChangedEvent`
An `event` fired from a `user info manager` when the `local user info` was changed.
`static interface`
`UserInfo.Manager.UserInfoStorage`
Provides a method to load the user info object for the `local user`.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle

`org.eclipse.net4j.util.lifecycle.ILifecycle.DeferrableActivation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`USE_LABEL`

## Method Summary

Modifier and Type
Method
Description
`void`
`changeLocalUser(String firstName, String lastName, String displayName)`
`protected void`
`doActivate()`
`protected void`
`doDeactivate()`
`static UserInfo.Manager`
`getInstance()`
`static UserInfo.Manager`
`getInstanceOrNull()`
`UserInfo`
`getLocalUser()`
`UserInfo`
`getRemoteUser(CDORemoteSession remoteSession)`

### Methods inherited from class org.eclipse.net4j.util.lifecycle.Lifecycle

`activate, checkActive, checkArg, checkArg, checkInactive, checkNull, checkState, checkState, deactivate, deferredActivate, doAfterActivate, doBeforeActivate, doBeforeDeactivate, dump, getLifecycleState, isActive, isDeferredActivation, toString`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

## Method Details

### getLocalUser

public UserInfo getLocalUser()

### changeLocalUser

public void changeLocalUser(String firstName, String lastName, String displayName)

### getRemoteUser

public UserInfo getRemoteUser(CDORemoteSession remoteSession)

### doActivate

protected void doActivate() throws Exception

Overrides:
  `doActivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
Throws:
  `Exception`

### doDeactivate

protected void doDeactivate() throws Exception

Overrides:
  `doDeactivate` in class `org.eclipse.net4j.util.lifecycle.Lifecycle`
Throws:
  `Exception`

### getInstance

public static UserInfo.Manager getInstance()

### getInstanceOrNull

public static UserInfo.Manager getInstanceOrNull()